security:
    encoders:
        App\Entity\User: bcrypt

    providers:
        fos_userbundle:
            id: fos_user.user_provider.username_email

    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

        secured_area:
            pattern: ^/
            user_checker: App\Security\UserChecker
            anonymous: true
            stateless: false

            guard:
                authenticators:
                    - App\Security\TokenAuthenticator

            remember_me:
                secret:   '%kernel.secret%'
                lifetime: 604800
                path:     /

            form_login:
                provider: fos_userbundle
                check_path: fos_user_security_check
                login_path: fos_user_security_login
                csrf_token_generator: security.csrf.token_manager

            logout:
                path: fos_user_security_logout
                target: homepage

    role_hierarchy:
        ROLE_USER:        ROLE_CUSTOMER
        ROLE_TEAMLEAD:    ROLE_USER
        ROLE_ADMIN:       ROLE_TEAMLEAD
        ROLE_SUPER_ADMIN: ROLE_ADMIN

    access_control:
        - { path: '^/(%app_locales%)$', role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: '^/(%app_locales%)/login', role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: '^/(%app_locales%)/register', role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: '^/(%app_locales%)/resetting', role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: '^/(%app_locales%)/', roles: ROLE_USER }
        - { path: '^/api', roles: IS_AUTHENTICATED_REMEMBERED }
